Bug 675395 - /usr/share/globus/globus-sh-tools-vars.sh may have undefined commands in NECESSARY section
Summary: /usr/share/globus/globus-sh-tools-vars.sh may have undefined commands in NECE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: globus-common
Version: el5
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-05 11:31 UTC by Lev Shamardin
Modified: 2011-03-16 04:12 UTC (History)
1 user (show)

Fixed In Version: globus-gram-job-manager-10.67-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-15 18:22:04 UTC


Attachments (Terms of Use)

Description Lev Shamardin 2011-02-05 11:31:49 UTC
Description of problem:
globus-common-progs does not include requirements for all programs marked as NECESSARY in /usr/share/globus/globus-sh-tools-vars.sh

Version-Release number of selected component (if applicable):
globus-common-progs-11.5-3.el5

How reproducible:
always

Steps to Reproduce:
1. Uninstall globus-common-progs, sudo and cvs (if were installed)
2. Install globus-common-progs
3. Check contents of /usr/share/globus/globus-sh-tools-vars.sh, NECESSARY section. CVS and SUDO are missing.
  
Actual results:
Incorrect /usr/share/globus/globus-sh-tools-vars.sh

Expected results:
Missing dependencies required (or installed automatically if using yum)

Additional info:
Installing globus using yum without installing sudo may often provide an unusable setup because sudo is often installed after globus-common-progs.

Comment 1 Mattias Ellert 2011-02-05 11:47:03 UTC
With the upcoming GT 5.2 release this will be fixed. In the new release the /usr/share/globus/globus-sh-tools-vars.sh file will no longer be generated at installation, but at build time - so it will not depend on what packages are present at installation time. In the new version the list of variables defined in the file is also much shorter and the whole NECESSARY section is gone and only the following two variables are defined:

GLOBUS_SH_PERL="/usr/bin/perl"
GLOBUS_SH="/bin/sh"

Comment 2 Fedora Update System 2011-02-27 17:49:19 UTC
Package globus-gram-job-manager-10.67-1.fc14,globus-gass-copy-5.10-1.fc14,globus-gssapi-gsi-7.6-1.fc14,globus-gram-job-manager-setup-pbs-4.3-1.fc14,globus-gatekeeper-5.7-1.fc14,globus-gridftp-server-3.28-1.fc14,globus-gridftp-server-control-0.45-1.fc14,globus-rls-server-4.9-4.fc14,globus-usage-1.4-1.fc14,globus-ftp-client-6.0-1.fc14,globus-gsi-proxy-core-4.7-1.fc14,globus-gsi-callback-2.8-1.fc14,globus-gsi-cert-utils-6.7-1.fc14,globus-common-11.6-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing globus-gram-job-manager-10.67-1.fc14,globus-gass-copy-5.10-1.fc14,globus-gssapi-gsi-7.6-1.fc14,globus-gram-job-manager-setup-pbs-4.3-1.fc14,globus-gatekeeper-5.7-1.fc14,globus-gridftp-server-3.28-1.fc14,globus-gridftp-server-control-0.45-1.fc14,globus-rls-server-4.9-4.fc14,globus-usage-1.4-1.fc14,globus-ftp-client-6.0-1.fc14,globus-gsi-proxy-core-4.7-1.fc14,globus-gsi-callback-2.8-1.fc14,globus-gsi-cert-utils-6.7-1.fc14,globus-common-11.6-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/globus-gram-job-manager-10.67-1.fc14,globus-gass-copy-5.10-1.fc14,globus-gssapi-gsi-7.6-1.fc14,globus-gram-job-manager-setup-pbs-4.3-1.fc14,globus-gatekeeper-5.7-1.fc14,globus-gridftp-server-3.28-1.fc14,globus-gridftp-server-control-0.45-1.fc14,globus-rls-server-4.9-4.fc14,globus-usage-1.4-1.fc14,globus-ftp-client-6.0-1.fc14,globus-gsi-proxy-core-4.7-1.fc14,globus-gsi-callback-2.8-1.fc14,globus-gsi-cert-utils-6.7-1.fc14,globus-common-11.6-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-02-27 17:49:31 UTC
Package globus-gram-job-manager-10.67-1.el4,globus-gass-copy-5.10-1.el4,globus-gssapi-gsi-7.6-1.el4,globus-gram-job-manager-setup-pbs-4.3-1.el4,globus-gatekeeper-5.7-1.el4,globus-gridftp-server-3.28-1.el4,globus-gridftp-server-control-0.45-1.el4,globus-rls-server-4.9-4.el4,globus-usage-1.4-1.el4,globus-ftp-client-6.0-1.el4,globus-gsi-proxy-core-4.7-1.el4,globus-gsi-callback-2.8-1.el4,globus-gsi-cert-utils-6.7-1.el4,globus-common-11.6-1.el4:
* should fix your issue,
* was pushed to the Fedora EPEL 4 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing globus-gram-job-manager-10.67-1.el4,globus-gass-copy-5.10-1.el4,globus-gssapi-gsi-7.6-1.el4,globus-gram-job-manager-setup-pbs-4.3-1.el4,globus-gatekeeper-5.7-1.el4,globus-gridftp-server-3.28-1.el4,globus-gridftp-server-control-0.45-1.el4,globus-rls-server-4.9-4.el4,globus-usage-1.4-1.el4,globus-ftp-client-6.0-1.el4,globus-gsi-proxy-core-4.7-1.el4,globus-gsi-callback-2.8-1.el4,globus-gsi-cert-utils-6.7-1.el4,globus-common-11.6-1.el4'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/globus-gram-job-manager-10.67-1.el4,globus-gass-copy-5.10-1.el4,globus-gssapi-gsi-7.6-1.el4,globus-gram-job-manager-setup-pbs-4.3-1.el4,globus-gatekeeper-5.7-1.el4,globus-gridftp-server-3.28-1.el4,globus-gridftp-server-control-0.45-1.el4,globus-rls-server-4.9-4.el4,globus-usage-1.4-1.el4,globus-ftp-client-6.0-1.el4,globus-gsi-proxy-core-4.7-1.el4,globus-gsi-callback-2.8-1.el4,globus-gsi-cert-utils-6.7-1.el4,globus-common-11.6-1.el4
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-02-27 17:49:42 UTC
Package globus-gram-job-manager-10.67-1.fc13,globus-gass-copy-5.10-1.fc13,globus-gssapi-gsi-7.6-1.fc13,globus-gram-job-manager-setup-pbs-4.3-1.fc13,globus-gatekeeper-5.7-1.fc13,globus-gridftp-server-3.28-1.fc13,globus-gridftp-server-control-0.45-1.fc13,globus-rls-server-4.9-4.fc13,globus-usage-1.4-1.fc13,globus-ftp-client-6.0-1.fc13,globus-gsi-proxy-core-4.7-1.fc13,globus-gsi-callback-2.8-1.fc13,globus-gsi-cert-utils-6.7-1.fc13,globus-common-11.6-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing globus-gram-job-manager-10.67-1.fc13,globus-gass-copy-5.10-1.fc13,globus-gssapi-gsi-7.6-1.fc13,globus-gram-job-manager-setup-pbs-4.3-1.fc13,globus-gatekeeper-5.7-1.fc13,globus-gridftp-server-3.28-1.fc13,globus-gridftp-server-control-0.45-1.fc13,globus-rls-server-4.9-4.fc13,globus-usage-1.4-1.fc13,globus-ftp-client-6.0-1.fc13,globus-gsi-proxy-core-4.7-1.fc13,globus-gsi-callback-2.8-1.fc13,globus-gsi-cert-utils-6.7-1.fc13,globus-common-11.6-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/globus-gram-job-manager-10.67-1.fc13,globus-gass-copy-5.10-1.fc13,globus-gssapi-gsi-7.6-1.fc13,globus-gram-job-manager-setup-pbs-4.3-1.fc13,globus-gatekeeper-5.7-1.fc13,globus-gridftp-server-3.28-1.fc13,globus-gridftp-server-control-0.45-1.fc13,globus-rls-server-4.9-4.fc13,globus-usage-1.4-1.fc13,globus-ftp-client-6.0-1.fc13,globus-gsi-proxy-core-4.7-1.fc13,globus-gsi-callback-2.8-1.fc13,globus-gsi-cert-utils-6.7-1.fc13,globus-common-11.6-1.fc13
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-02-27 17:49:53 UTC
Package globus-gram-job-manager-10.67-1.fc15,globus-gass-copy-5.10-1.fc15,globus-gssapi-gsi-7.6-1.fc15,globus-gram-job-manager-setup-pbs-4.3-1.fc15,globus-gatekeeper-5.7-1.fc15,globus-gridftp-server-3.28-1.fc15,globus-gridftp-server-control-0.45-1.fc15,globus-rls-server-4.9-4.fc15,globus-usage-1.4-1.fc15,globus-ftp-client-6.0-1.fc15,globus-gsi-proxy-core-4.7-1.fc15,globus-gsi-callback-2.8-1.fc15,globus-gsi-cert-utils-6.7-1.fc15,globus-common-11.6-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing globus-gram-job-manager-10.67-1.fc15,globus-gass-copy-5.10-1.fc15,globus-gssapi-gsi-7.6-1.fc15,globus-gram-job-manager-setup-pbs-4.3-1.fc15,globus-gatekeeper-5.7-1.fc15,globus-gridftp-server-3.28-1.fc15,globus-gridftp-server-control-0.45-1.fc15,globus-rls-server-4.9-4.fc15,globus-usage-1.4-1.fc15,globus-ftp-client-6.0-1.fc15,globus-gsi-proxy-core-4.7-1.fc15,globus-gsi-callback-2.8-1.fc15,globus-gsi-cert-utils-6.7-1.fc15,globus-common-11.6-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/globus-gram-job-manager-10.67-1.fc15,globus-gass-copy-5.10-1.fc15,globus-gssapi-gsi-7.6-1.fc15,globus-gram-job-manager-setup-pbs-4.3-1.fc15,globus-gatekeeper-5.7-1.fc15,globus-gridftp-server-3.28-1.fc15,globus-gridftp-server-control-0.45-1.fc15,globus-rls-server-4.9-4.fc15,globus-usage-1.4-1.fc15,globus-ftp-client-6.0-1.fc15,globus-gsi-proxy-core-4.7-1.fc15,globus-gsi-callback-2.8-1.fc15,globus-gsi-cert-utils-6.7-1.fc15,globus-common-11.6-1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-02-27 17:50:05 UTC
Package globus-gram-job-manager-10.67-1.el6,globus-gass-copy-5.10-1.el6,globus-gssapi-gsi-7.6-1.el6,globus-gram-job-manager-setup-pbs-4.3-1.el6,globus-gatekeeper-5.7-1.el6,globus-gridftp-server-3.28-1.el6,globus-gridftp-server-control-0.45-1.el6,globus-rls-server-4.9-4.el6,globus-usage-1.4-1.el6,globus-ftp-client-6.0-1.el6,globus-gsi-proxy-core-4.7-1.el6,globus-gsi-callback-2.8-1.el6,globus-gsi-cert-utils-6.7-1.el6,globus-common-11.6-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing globus-gram-job-manager-10.67-1.el6,globus-gass-copy-5.10-1.el6,globus-gssapi-gsi-7.6-1.el6,globus-gram-job-manager-setup-pbs-4.3-1.el6,globus-gatekeeper-5.7-1.el6,globus-gridftp-server-3.28-1.el6,globus-gridftp-server-control-0.45-1.el6,globus-rls-server-4.9-4.el6,globus-usage-1.4-1.el6,globus-ftp-client-6.0-1.el6,globus-gsi-proxy-core-4.7-1.el6,globus-gsi-callback-2.8-1.el6,globus-gsi-cert-utils-6.7-1.el6,globus-common-11.6-1.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/globus-gram-job-manager-10.67-1.el6,globus-gass-copy-5.10-1.el6,globus-gssapi-gsi-7.6-1.el6,globus-gram-job-manager-setup-pbs-4.3-1.el6,globus-gatekeeper-5.7-1.el6,globus-gridftp-server-3.28-1.el6,globus-gridftp-server-control-0.45-1.el6,globus-rls-server-4.9-4.el6,globus-usage-1.4-1.el6,globus-ftp-client-6.0-1.el6,globus-gsi-proxy-core-4.7-1.el6,globus-gsi-callback-2.8-1.el6,globus-gsi-cert-utils-6.7-1.el6,globus-common-11.6-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-02-27 17:50:18 UTC
Package globus-gram-job-manager-10.67-1.el5,globus-gass-copy-5.10-1.el5,globus-gssapi-gsi-7.6-1.el5,globus-gram-job-manager-setup-pbs-4.3-1.el5,globus-gatekeeper-5.7-1.el5,globus-gridftp-server-3.28-1.el5,globus-gridftp-server-control-0.45-1.el5,globus-rls-server-4.9-4.el5,globus-usage-1.4-1.el5,globus-ftp-client-6.0-1.el5,globus-gsi-proxy-core-4.7-1.el5,globus-gsi-callback-2.8-1.el5,globus-gsi-cert-utils-6.7-1.el5,globus-common-11.6-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing globus-gram-job-manager-10.67-1.el5,globus-gass-copy-5.10-1.el5,globus-gssapi-gsi-7.6-1.el5,globus-gram-job-manager-setup-pbs-4.3-1.el5,globus-gatekeeper-5.7-1.el5,globus-gridftp-server-3.28-1.el5,globus-gridftp-server-control-0.45-1.el5,globus-rls-server-4.9-4.el5,globus-usage-1.4-1.el5,globus-ftp-client-6.0-1.el5,globus-gsi-proxy-core-4.7-1.el5,globus-gsi-callback-2.8-1.el5,globus-gsi-cert-utils-6.7-1.el5,globus-common-11.6-1.el5'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/globus-gram-job-manager-10.67-1.el5,globus-gass-copy-5.10-1.el5,globus-gssapi-gsi-7.6-1.el5,globus-gram-job-manager-setup-pbs-4.3-1.el5,globus-gatekeeper-5.7-1.el5,globus-gridftp-server-3.28-1.el5,globus-gridftp-server-control-0.45-1.el5,globus-rls-server-4.9-4.el5,globus-usage-1.4-1.el5,globus-ftp-client-6.0-1.el5,globus-gsi-proxy-core-4.7-1.el5,globus-gsi-callback-2.8-1.el5,globus-gsi-cert-utils-6.7-1.el5,globus-common-11.6-1.el5
then log in and leave karma (feedback).

Comment 8 Mattias Ellert 2011-02-27 18:45:30 UTC
(In reply to comment #1)
> With the upcoming GT 5.2 release ...

The 5.2 release is still quite some time away. I have added the necessary Requires(post) to globus-common-progs-11.6-1 to fill the necessary section correctly.

Comment 9 Fedora Update System 2011-02-28 23:55:37 UTC
globus-gram-job-manager-10.67-1.el6, globus-gass-copy-5.10-1.el6, globus-gssapi-gsi-7.6-1.el6, globus-gram-job-manager-setup-pbs-4.3-1.el6, globus-gridftp-server-3.28-1.el6, globus-gridftp-server-control-0.45-1.el6, globus-rls-server-4.9-4.el6, globus-usage-1.4-1.el6, globus-ftp-client-6.0-1.el6, globus-gsi-proxy-core-4.7-1.el6, globus-gsi-callback-2.8-1.el6, globus-gsi-cert-utils-6.7-1.el6, globus-common-11.6-1.el6, globus-gatekeeper-5.7-2.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-gram-job-manager globus-gass-copy globus-gssapi-gsi globus-gram-job-manager-setup-pbs globus-gridftp-server globus-gridftp-server-control globus-rls-server globus-usage globus-ftp-client globus-gsi-proxy-core globus-gsi-callback globus-gsi-cert-utils globus-common globus-gatekeeper'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/globus-gram-job-manager-10.67-1.el6,globus-gass-copy-5.10-1.el6,globus-gssapi-gsi-7.6-1.el6,globus-gram-job-manager-setup-pbs-4.3-1.el6,globus-gatekeeper-5.7-2.el6,globus-gridftp-server-3.28-1.el6,globus-gridftp-server-control-0.45-1.el6,globus-rls-server-4.9-4.el6,globus-usage-1.4-1.el6,globus-ftp-client-6.0-1.el6,globus-gsi-proxy-core-4.7-1.el6,globus-gsi-callback-2.8-1.el6,globus-gsi-cert-utils-6.7-1.el6,globus-common-11.6-1.el6

Comment 10 Fedora Update System 2011-03-15 18:21:53 UTC
globus-gram-job-manager-10.67-1.el4, globus-gass-copy-5.10-1.el4, globus-gssapi-gsi-7.6-1.el4, globus-gram-job-manager-setup-pbs-4.3-1.el4, globus-gridftp-server-3.28-1.el4, globus-gridftp-server-control-0.45-1.el4, globus-rls-server-4.9-4.el4, globus-usage-1.4-1.el4, globus-ftp-client-6.0-1.el4, globus-gsi-proxy-core-4.7-1.el4, globus-gsi-callback-2.8-1.el4, globus-gsi-cert-utils-6.7-1.el4, globus-common-11.6-1.el4, globus-gatekeeper-5.7-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-15 18:22:59 UTC
globus-gram-job-manager-10.67-1.el5, globus-gass-copy-5.10-1.el5, globus-gssapi-gsi-7.6-1.el5, globus-gram-job-manager-setup-pbs-4.3-1.el5, globus-gridftp-server-3.28-1.el5, globus-gridftp-server-control-0.45-1.el5, globus-rls-server-4.9-4.el5, globus-usage-1.4-1.el5, globus-ftp-client-6.0-1.el5, globus-gsi-proxy-core-4.7-1.el5, globus-gsi-callback-2.8-1.el5, globus-gsi-cert-utils-6.7-1.el5, globus-common-11.6-1.el5, globus-gatekeeper-5.7-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-15 18:24:53 UTC
globus-gram-job-manager-10.67-1.el6, globus-gass-copy-5.10-1.el6, globus-gssapi-gsi-7.6-1.el6, globus-gram-job-manager-setup-pbs-4.3-1.el6, globus-gridftp-server-3.28-1.el6, globus-gridftp-server-control-0.45-1.el6, globus-rls-server-4.9-4.el6, globus-usage-1.4-1.el6, globus-ftp-client-6.0-1.el6, globus-gsi-proxy-core-4.7-1.el6, globus-gsi-callback-2.8-1.el6, globus-gsi-cert-utils-6.7-1.el6, globus-common-11.6-1.el6, globus-gatekeeper-5.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-15 21:51:14 UTC
globus-gram-job-manager-10.67-1.fc13, globus-gass-copy-5.10-1.fc13, globus-gssapi-gsi-7.6-1.fc13, globus-gram-job-manager-setup-pbs-4.3-1.fc13, globus-gridftp-server-3.28-1.fc13, globus-gridftp-server-control-0.45-1.fc13, globus-rls-server-4.9-4.fc13, globus-usage-1.4-1.fc13, globus-ftp-client-6.0-1.fc13, globus-gsi-proxy-core-4.7-1.fc13, globus-gsi-callback-2.8-1.fc13, globus-gsi-cert-utils-6.7-1.fc13, globus-common-11.6-1.fc13, globus-gatekeeper-5.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-15 21:53:50 UTC
globus-gram-job-manager-10.67-1.fc14, globus-gass-copy-5.10-1.fc14, globus-gssapi-gsi-7.6-1.fc14, globus-gram-job-manager-setup-pbs-4.3-1.fc14, globus-gridftp-server-3.28-1.fc14, globus-gridftp-server-control-0.45-1.fc14, globus-rls-server-4.9-4.fc14, globus-usage-1.4-1.fc14, globus-ftp-client-6.0-1.fc14, globus-gsi-proxy-core-4.7-1.fc14, globus-gsi-callback-2.8-1.fc14, globus-gsi-cert-utils-6.7-1.fc14, globus-common-11.6-1.fc14, globus-gatekeeper-5.7-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-16 04:12:36 UTC
globus-gram-job-manager-10.67-1.fc15, globus-gass-copy-5.10-1.fc15, globus-gssapi-gsi-7.6-1.fc15, globus-gram-job-manager-setup-pbs-4.3-1.fc15, globus-gridftp-server-3.28-1.fc15, globus-gridftp-server-control-0.45-1.fc15, globus-rls-server-4.9-4.fc15, globus-usage-1.4-1.fc15, globus-ftp-client-6.0-1.fc15, globus-gsi-proxy-core-4.7-1.fc15, globus-gsi-callback-2.8-1.fc15, globus-gsi-cert-utils-6.7-1.fc15, globus-common-11.6-1.fc15, globus-gatekeeper-5.7-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.